﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
	import com.Tutorial.StarField;
    
    public class MenuState extends FlxState
    {
        
		[Embed(source = "../../data/blip.mp3")] public static var SndOpen:Class;
		[Embed(source = "../../data/test.mp3")] public static var SndMusic1:Class;
		[Embed(source = "../../data/test2.mp3")] public static var SndMusic2:Class;
		[Embed(source = "../../data/test3.mp3")] public static var SndMusic3:Class;
		[Embed(source = "../../data/test4.mp3")] public static var SndMusic4:Class;
		[Embed(source = "../../data/title.png")] private var ImgTitle:Class;
		
		private var bClosing:Boolean;
		
        override public function MenuState():void
        {
			bClosing = false;
			new StarField(this);
			FlxG.setMusic(SndMusic2);
			this.add(new FlxSprite(ImgTitle));
        }
        
        override public function update():void
        {
            if (FlxG.kA&&!bClosing)
            {
				bClosing = true;
                FlxG.flash(0xffffffff, 0.75);
                FlxG.fade(0xff000000, 1, onFade);	
				FlxG.play(SndOpen,0.1);
            }
            
            super.update();
        }
        private function onFade():void
        {
			FlxG.level = 0;
			FlxG.stopMusic();
            FlxG.switchState(PlayState);
        }
    }
}