﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
	import com.Tutorial.StarField;
    
    public class PreludeState extends FlxState
    {
        
		
		[Embed(source = "../../data/terminal.png")] private var ImgTerminal:Class;
		private var bClosing:Boolean;
		private var pos:int;
		
		private var convs:Array = [
		//level 0
		[
			["Computer","Captain, we have detected a distress beacon in sector D7H5."],
			["Captain","Travel to intercept."],
			["Captain","We should arrive in t minus 30 hours."],
		],
		//level 2
		[
			["Computer","Captain, there wan signal just detected in the Xvax cluster."],
			["Captain","We should go to investigate."],
		],
		//level 1
		[
			["Julie Mysterioux", "Captain, my beloved puppydog is stranded..."],
			["Julie Mysterioux", "stranded on a lone asteroid at the edge of the Darkness Region -"],
			["Julie Mysterioux", "I would be eternally grateful if you you could rescue it."],
			["Captain", "I remember you showing me pictures of it."],
			["Captain","It was a cute puppy dog for sure."],
			["Captain","Let's go get it!"],
		],
		//level 3
		[
			["Computer","There's a distress call from the Silver Witch Area."],
			["Captain","Let's ride!"],
		],
		//level 4
		[
			["Shannon Assisi", "Captain, my sister, on planet Zephelaqsu, has grown quite sick."],
			["Shannon Assisi", "Can we travel there so that I might visit her?"],
			["Captain","It's on our route, I don't see why not."],
		],
		//level 5
		[
			["Japhxy Intercrus","I got a message! I got a message from my nephew!"],
			["Japhxy Intercrus","He's still alive, but underground."],
			["Japhxy Intercrus","Can we go to help him out?"],
			["Captain","Your contract allows for such visits."],
			["Captain","We can't stop for long, though."],
		],
		//level 6
		[
			["Computer","Captain, we must go to the Vortex Mothership to resupply."],
			["Captain","Okay."],
		],
		];
		private var text1:FlxText;
		private var text2:FlxText;
        override public function PreludeState():void
        {
			super();
			pos = 0;
			bClosing = false;
			FlxG.setMusic(MenuState.SndMusic3, 0.3);
			new StarField(this);
			this.add(new FlxSprite(ImgTerminal));	
			text1 = new FlxText(1, -1, FlxG.width, 150, "Computer", 0xff000000, null, 8, "left");
			this.add(text1);
			text2 = new FlxText(1, 10, FlxG.width - 2, 150, "Computer", 0xff000000, null, 8, "left");
			this.add(text2);
			
			
					text1.setText(convs[FlxG.level][pos][0], true);
					text2.setText(convs[FlxG.level][pos][1], true);
        }
        
        override public function update():void
        {
            if (FlxG.justPressed(FlxG.A)&&!bClosing)
            {
				pos++;
				if (pos < convs[FlxG.level].length)
				{
					text1.setText(convs[FlxG.level][pos][0], true);
					text2.setText(convs[FlxG.level][pos][1], true);
				}
				else
				{
					bClosing = true;
					FlxG.flash(0xffffffff, 0.75);
					FlxG.fade(0xff000000, 1, onFade);	
					FlxG.play(MenuState.SndOpen, 0.1);
				}
            }
            
            super.update();
        }
        private function onFade():void
        {
			FlxG.stopMusic();
            FlxG.switchState(ShipState);
        }
    }
}