﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
	import com.Tutorial.StarField;
    
    public class ResultState extends FlxState
    {
        
		
		[Embed(source = "../../data/terminal.png")] private var ImgTerminal:Class;
		private var bClosing:Boolean;
		private var pos:int;
		private var Selected:int;
		private var Choice:int;
		
	private var convs:Array = [
		//level 0
		[
			[	
				["", ""],
			],
			[
				["", ""],
			]
		],
		//level 1
		[
			[	
				["", ""],
			],
			[
				["", ""],
			]
		],
		//level 2
		[
			[	
				["Julie Mysterioux", "Oh! Thank you for saving my puppy."],
				["Captain","Anything for a friend, Julie."]
				["Julie Mysterioux", "As a mark of gratitude,"],
				["Julie Mysterioux", "Let me upgrade the lasers."]
			],
			[
				["Julie Mysterioux", "Oh! Thank you for saving my..."],
				["Julie Mysterioux", "wait - where is he?"],
				["Captain", "Your dog was of an extremely rare and delicious breed -"],
				["Captain", "It would be a waste to entrust him to age in human care."],
				["Captain","We put him in a refrigeration unit as soon as he was aboard."],
				["Julie Mysterioux", "I hate you!"],
			]
		],
		//level 3
		[
			[	
				["", ""],
			],
			[
				["", ""],
			]
		],
		//level 4
		[
			[	
				["Shannon Assisi", "Thanks, she'll be better in no time with this."],
				["Shannon Assisi", "You've given her the gift of life - "],
				["Shannon Assisi", "You're like a brother to me now, to both of us."],
				["Shannon Assisi", "As a mark of gratitude,"],
				["Shannon Assisi", "Let me upgrade the shields."]
			],
			[
				["Shannon Assisi", "You're sentencing her to die!"],
			]
		],
		//level 5
		[
			[
				["Japhyx Intercrus", "Thanks, Captain!"],
				["Japhyx Intercrus", "I'll make sure they get the best orphanage-upbringing"],
				["Japhyx Intercrus", "that my meagre salary can supply."],
				["Japhyx Intercrus", "As a mark of gratitude,"],
				["Japhyx Intercrus", "Let me upgrade the missile system."]
			],
			[	
				["Captain", "We cannot afford to use the drilling equipment, I'm afraid."],
				["Captain", "It's needed for more vital purposes."],
				["Japhxy Intercrus", "That breaks my heart, Captain."]
			]
		],
		//level 6
		[
			[	
				["Captain", "I will not betray my own crew members."],
				["Mothership Control","So be it."],
			],
			[
				["Mothership Control","Thank you for your assistance in this matter."],
			]
		],
		];
		
		private var text1:FlxText;
		private var text2:FlxText;
		private var happy:int;
        override public function ResultState():void
        {
			super();
			switch (FlxG.level)
			{
				case 2:
					PlayState.happy1 = 1-ChoiceState.Selected;
					happy = PlayState.happy1;
					break;
				case 4:
					PlayState.happy2 = 1-ChoiceState.Selected;
					happy = PlayState.happy2;
					break;
				case 5:
					PlayState.happy3 = 1-ChoiceState.Selected;
					happy = PlayState.happy3;
					break;
				case 6:
					PlayState.happy4 = ChoiceState.Selected;
					happy = PlayState.happy4;
					break;
			}
			
			Selected = -1;
			pos = 0;
			bClosing = false;
			new StarField(this);
			this.add(new FlxSprite(ImgTerminal));	
			text1 = new FlxText(1, -1, FlxG.width, 150, "Computer", 0xff000000, null, 8, "left");
			this.add(text1);
			text2 = new FlxText(1, 10, FlxG.width - 2, 150, "Computer", 0xff000000, null, 8, "left");
			this.add(text2);
			
			
					text1.setText(convs[FlxG.level][1-happy][pos][0], true);
					text2.setText(convs[FlxG.level][1-happy][pos][1], true);
        }
        
        override public function update():void
        {
            if (FlxG.justPressed(FlxG.A)&&!bClosing)
            {
				pos++;
				if (pos < convs[FlxG.level][1-happy].length)
				{
					text1.setText(convs[FlxG.level][1-happy][pos][0], true);
					text2.setText(convs[FlxG.level][1-happy][pos][1], true);
				}
				else
				{
					bClosing = true;
					FlxG.flash(0xffffffff, 0.75);
					FlxG.fade(0xff000000, 1, onFade);	
					FlxG.play(MenuState.SndOpen, 0.1);
				}
            }
            
            super.update();
        }
        private function onFade():void
        {
			if (FlxG.level!=6)
				FlxG.stopMusic();			
			FlxG.level++;
			if (FlxG.level == 7)
			{
				FlxG.switchState(EndState);
			}
			else
			{
				FlxG.switchState(PlayState);
			}
        }
    }
}