﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class Rock extends FlxSprite
    {
        [Embed(source='../../data/Rock.png')] private var ImgRock:Class;
        
        private var _move_speed:int = 1000;
        private var _jump_power:int = 800;   
        private var _max_health:int = 10;
        private var _hurt_counter:Number = 0;
		public var dir:int = 0;
		
        public function Rock(X:Number,Y:Number):void
        {
            super(ImgRock, X, Y, true, true,4,4);//Max speeds
            maxVelocity.x = 30;
            maxVelocity.y = 30;
            //Set the player health
            health = 10;
            //Gravity
            acceleration.y = 0;            
            //Friction
            drag.x = 800;
            drag.y = 800;
			
            //bounding box tweaks
            offset.x = 0;
            offset.y = 0;
			height = 5;
			width = 6;
			addAnimation("0", [0]);
            addAnimation("1", [1]);
			play("0");		
			dir = 1;
        }
    
        override public function update():void
        {
						
			velocity.x = -100;
			if (x < 0)
				this.kill();
            super.update();	
        }

        override public function hurt(Damage:Number):void
        {
            _hurt_counter = 1;
            return super.hurt(Damage);
        }       
    }
}