﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
	import com.Tutorial.StarField;
    
    public class DeadState extends FlxState
    {
        
		
		private var bClosing:Boolean;
		
        override public function DeadState():void
        {
			bClosing = false;
			FlxG.setMusic(MenuState.SndMusic3,0.3);
			new StarField(this);
			this.add(new FlxText(0,FlxG.height/2-4,FlxG.width,8,"Press x to restart",0xff000000,null,8,"center"));
        }
        
        override public function update():void
        {
            if (FlxG.justPressed(FlxG.A)&&!bClosing)
            {
				bClosing = true;
                FlxG.flash(0xffffffff, 0.75);
                FlxG.fade(0xff000000, 1, onFade);	
				FlxG.play(MenuState.SndOpen,0.1);
            }
            
            super.update();
        }
        private function onFade():void
        {
			FlxG.stopMusic();
            FlxG.switchState(ShipState);
        }
    }
}