﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
	import com.Tutorial.StarField;
    
    public class PostludeState extends FlxState
    {
        
		
		[Embed(source = "../../data/terminal.png")] private var ImgTerminal:Class;
		private var bClosing:Boolean;
		private var pos:int;
		private var Selected:int;
		private var Choice:int;
		
		private var convs:Array = [
		//level 0
		[
			["Julie Mysterioux", "Captain, thank you for rescuing us."],
			["Julie Mysterioux", "I am an expert laserwoman - "],
			["Julie Mysterioux", "I will happily work aboard your ship."],
			["Julie Mysterioux", "Who knows, maybe some day we will come to be trusted friends."]
		],
		//level 1
		[
			["Shannon Assisi", "Captain, thank you for rescuing me."],
			["Shannon Assisi", "I am the most experienced shields-operator in the district"],
			["Shannon Assisi", "Allow me to make my services known to you."],
			["Shannon Assisi", "I think I might grow to trust you eventually."]
		],
		//level 2
		[
			["Computer","Retriever retrieved.  Awaiting further commands."],
		],
		//level 3
		[
			["Japhxy Intercrus", "My whole planet just exploded."],
			["Japhxy Intercrus", "It was a bank holiday, so I was the only person working in orbit."],
			["Japhxy Intercrus", "I'm the only survivor"],
			["Japhxy Intercrus", "Maybe I can make this ship my home -"],
			["Japhxy Intercrus", "I'm a missiles expert, so I can be of help."]
		],
		//level 4
		[
			["Shannon Assisi", "My sister is making a slow recovery."],
			["Shannon Assisi", "Would you mind if I was to take some medical supplies for her?"]
		],
		//level 5
		[
			["Japhxy Intercrus","Thanks for taking me here"],
			["Japhxy Intercrus","Can I take the mining equipment out to search for him?"],
		],
		//level 6
		[
			["Computer", "We have arrived at the Zyzxzy Mothership"],
			["Computer", "Initiating docking sequence"],
			["Computer", "..."],
			["Computer", "Message incoming from Mothership control:"],
			["Mothership Control", "Captain, it has come to our attention that you have"],
			["Mothership Control", "on board some people that we consider security risks"],
			["Mothership Control", "to our government."],
			["Mothership Control", "If you hand them over to us upon docking,"],
			["Mothership Control", "we will say no more about it."],
			["Mothership Control", "Otherwise we cannot give you permission to dock."]
		],
		];
		private var text1:FlxText;
		private var text2:FlxText;
        override public function PostludeState():void
        {
			super();
			Selected = 0;
			pos = 0;
			bClosing = false;
			if (FlxG.level<6)
				FlxG.setMusic(MenuState.SndMusic3, 0.3);
			else
				FlxG.setMusic(MenuState.SndMusic4,0.3);
			new StarField(this);
			this.add(new FlxSprite(ImgTerminal));	
			text1 = new FlxText(1, -1, FlxG.width, 150, "Computer", 0xff000000, null, 8, "left");
			this.add(text1);
			text2 = new FlxText(1, 10, FlxG.width - 2, 150, "Computer", 0xff000000, null, 8, "left");
			this.add(text2);
			
			
					text1.setText(convs[FlxG.level][pos][0], true);
					text2.setText(convs[FlxG.level][pos][1], true);
        }
        
        override public function update():void
        {
            if (FlxG.justPressed(FlxG.A)&&!bClosing)
            {
				pos++;
				if (pos < convs[FlxG.level].length)
				{
					text1.setText(convs[FlxG.level][pos][0], true);
					text2.setText(convs[FlxG.level][pos][1], true);
				}
				else
				{
					bClosing = true;
					FlxG.flash(0xffffffff, 0.75);
					FlxG.fade(0xff000000, 1, onFade);	
					FlxG.play(MenuState.SndOpen, 0.1);
				}
            }
            
            super.update();
        }
        private function onFade():void
        {
			if (FlxG.level!=6)
				FlxG.stopMusic();
			switch (FlxG.level)
			{
				case 2:
				case 4:
				case 5:
				case 6:
					FlxG.switchState(ChoiceState);
					break;
				default:
					FlxG.level++;
					FlxG.switchState(PlayState);
					break;
			}
        }
    }
}