﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class Teleporter extends FlxSprite
    {
        [Embed(source='../../data/teleport.png')] private var ImgPlayer:Class;
        
        private var _move_speed:int = 1000;
        private var _jump_power:int = 800;   
        private var _max_health:int = 10;
        private var _hurt_counter:Number = 0;
		public var dir:int = 0;
		private var _p:Player;
		
        public function Teleporter(X:Number,Y:Number,p:Player):void
        {
            super(ImgPlayer, X, Y, true, true, 7, 5);//Max speeds
			_p = p;
            maxVelocity.x = 30;
            maxVelocity.y = 30;
            //Set the player health
            health = 10;
            //Gravity
            acceleration.y = 0;            
            //Friction
            drag.x = 800;
            drag.y = 800;
            //bounding box tweaks
            width = 7;
            height = 5;
            offset.x = 0;
            offset.y = 0;
        }
    
        override public function update():void
        {
            super.update();
        }

        override public function hurt(Damage:Number):void
        {
            _hurt_counter = 1;
            return super.hurt(Damage);
        }       
    }
}